﻿@model IEnumerable<WebAppLibrary.Models.DAO.Loan>

@{
    ViewData["Title"] = "Loans";
}

<h1>@ViewData["Title"]</h1>

<p>
    <a asp-action="Create">Create New</a>
</p>
<table class="table">
    <thead>
        <tr>
             <th>
                @Html.DisplayNameFor(model => model.LoanDate)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.User)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Book)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
@foreach (var item in Model) {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.LoanDate)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.User.FullName)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Book.Title)
            </td>
            <td>
                @Html.ActionLink("Edit", "Edit", new {  id=item.Id }) |
                @Html.ActionLink("Details", "Details", new {  id=item.Id }) |
                @Html.ActionLink("Delete", "Delete", new {  id=item.Id })
            </td>
        </tr>
}
    </tbody>
</table>
